# --{ =-=-=-=-=-=-=-=-=-= ItemJoin's Custom Item Configurations, by RockinChaos =-=-=-=-=-=-=-=-=-= }--
# See the tutorial page for a more in-depth explanation; https://github.com/RockinChaos/ItemJoin/wiki
# Join the discord for easy plugin support; https://discord.gg/D5FnJ7C

# Modifying the Version will cause this file to break and regenerate.
items-Version: 8

# General options that apply to the custom items' functionality.
items-Delay: 2
items-Overwrite: false
items-Spamming: false
items-RestrictCount: false

# This is the section that the custom created items will be stored.
# All created items should be saved under the 'items' section for each 'custom-item' subsection.
items:
  devine-item:
    id: DIAMOND_SWORD
    slot: 0
    name: '&bBlazefury'
    lore:
    - '&7A devine sword.'
    - '&7This sword is many millennium old...'
    interact:
    - 'message: &eYou can send yourself custom messages!'
    - 'console: say You can even execute more than one command!'
    - 'delay: 10'
    - 'player: say This is item slot 1.'
    - 'op: say This command executes as if the player is op.'
    - say Hello world!
    commands-sound: BLOCK_NOTE_BLOCK_PLING
    commands-particle: FIREWORK:BLACK:RED:BURST:10
    commands-sequence: SEQUENTIAL
    commands-item: EMERALD
    commands-cost: 3
    commands-cooldown: 5
    cooldown-message: '&7[&eItemJoin&7] &a[%item%&a] &cis on cooldown for &a%timeleft%
      &cseconds..'
    attributes: '{GENERIC_ATTACK_DAMAGE:15.2}, {GENERIC_ATTACK_SPEED:19.0}'
    enchantment: FIRE_ASPECT:3, DAMAGE_ALL:5, DAMAGE_UNDEAD:5, KNOCKBACK:8
    itemflags: unbreakable, hide-flags, self-drops, death-drops, CreativeBypass
    triggers: join, respawn, world-switch, region-enter
    permission-node: itemjoin.ultra
    enabled-regions: region1, region2
    enabled-worlds: world, world_nether, world_the_end
  map-item:
    id: FILLED_MAP
    custom-map-image: default.jpg
    slot: 2
    name: '&eMagical Cloth'
    lore:
    - '&7Server promotions'
    - '&7Directions or custom maps.'
    itemflags: item-store, unbreakable, hide-flags, death-drops, self-drops, CreativeBypass
    triggers: join, respawn, world-switch
    permission-node: itemjoin.map
    enabled-worlds: ALL
  gamemode-token:
    id: FIREWORK_STAR
    charge-color: RED
    slot: 4
    count: 6
    name: '&aGamemode Token'
    lore:
    - '&7Right-Click use creative token.'
    - '&7'
    - '&7Left-Click use spectator token.'
    interact-right:
    - 'player: minecraft:gamemode creative %player%'
    - 'message: &eYou have been set to creative mode.'
    interact-left:
    - 'player: minecraft:gamemode spectator %player%'
    - 'message: &eYou have been set to spectator mode.'
    commands-sound: BLOCK_NOTE_BLOCK_PLING
    commands-cooldown: 2
    itemflags: item-store, death-drops, self-drops, hide-flags, disposable
    triggers: join, respawn, world-switch
    permission-node: itemjoin.token
    enabled-worlds: world, world_nether, world_the_end
  book-item:
    id: WRITTEN_BOOK
    author: '&bRockinChaos'
    slot: 6
    name: '&c&nCreating a Book'
    lore:
    - '&7'
    - '&7Useful for server rules'
    - '&7and other server information.'
    pages:
      '1':
      - '&aThanks for checking'
      - '&aout &bItemJoin &aby'
      - <text:&b@RockinChaos#6746><open_url:https://discord.gg/D5FnJ7C><show_text:Click
        to visit the discord.>
      - ''
      - '&0This is an example of'
      - '    a &9custom book&0.'
      - '&0-=-=-=-=-=-=-=-=-=-'
      - ''
      - '&0You can set an &cauthor&r'
      - '&0and you can add text'
      - '&0components using the'
      - '&0format <<text:TYPE><show_text:Replace TYPE with the component type. \nExample:
        run_command, show_text, open_url.>:<text:VALUE><show_text:Replace VALUE with
        the text, url or command.>>.'
      '2':
      - '&cHow do you specify a'
      - '&cnew page number?'
      - ''
      - '&0As displayed to the'
      - '&0left in the items.yml.'
      - '&0Create a number to'
      - '&0specify the new page.'
      - '&cMakesure you put'
      - '&ceach number in order.'
      - ''
      - '&aNote:&0 that you can'
      - '&0only have &b14&0 lines '
      - '&0per page.'
      '3':
      - '&0I still &nneed&r help&r!'
      - ''
      - '&0RockinChaos is always'
      - '&0happy to help so feel'
      - '&0free to reach out'
      - '&0on <text:&adiscord.><open_url:https://discord.gg/D5FnJ7C><show_text:Click
        to visit the discord.>'
      - ''
      - '&0You can also visit'
      - '&0the <text:&9wiki page><open_url:https://github.com/RockinChaos/ItemJoin/wiki><show_text:Click
        to view the wiki.> &rfor'
      - '&0additional help on'
      - '&0the plugin including'
      - <text:&9custom books.><open_url:https://github.com/RockinChaos/ItemJoin/wiki/Creating-Items#creating-a-custom-book><show_text:Click
        for additional \nhelp with creating books.>
      - ''
      - 'raw: ["",{"text":"Visit Plugin Page!","color":"gold","clickEvent":{"action":"open_url","value":"https://www.spigotmc.org/resources/itemjoin.12661/"},"hoverEvent":{"action":"show_text","value":{"text":"","extra":[{"text":"Click
        to visit the spigot page.","color":"green"}]}}}]'
    itemflags: death-drops, self-drops
    triggers: join, respawn
    permission-node: itemjoin.book
    enabled-worlds: world
  profile-item:
    id: PLAYER_HEAD
    skull-owner: '%player%'
    slot: 8
    name: '&b%player%'
    lore:
    - '&7Great for setting a players profile,'
    - '&7as seen in mini-game servers.'
    itemflags: death-drops, self-drops
    triggers: join, respawn, world-switch
    enabled-worlds: world, world_nether, world_the_end
  animated-panes:
    id:
      '1': <delay:40>BLACK_STAINED_GLASS_PANE
      '2': <delay:20>BLUE_STAINED_GLASS_PANE
      '3': <delay:20>GREEN_STAINED_GLASS_PANE
      '4': <delay:20>MAGENTA_STAINED_GLASS_PANE
      '5': <delay:20>ORANGE_STAINED_GLASS_PANE
      '6': <delay:20>RED_STAINED_GLASS_PANE
    slot: ARBITRARY, ARBITRARY, ARBITRARY, ARBITRARY
    name: '&f'
    itemflags: animate, inventory-modify, placement, death-drops, self-drops
    triggers: join, world-switch
    enabled-worlds: world, world_nether, world_the_end
  banner-item:
    id: WHITE_BANNER
    banner-meta: BLUE:BASE, WHITE:CREEPER
    slot: 20
    name: '&9Mighty Creeper'
    lore:
    - '&7The creeper is our leader!'
    interact:
    - 'message: &bWhere is Herobrine?'
    - 'message: &cWhere is your leader now...?'
    commands-sequence: RANDOM
    itemflags: inventory-modify, hide-flags, self-drops, CreativeBypass
    triggers: join, respawn, world-switch, region-enter
    enabled-worlds: world, world_nether, world_the_end
  animated-sign:
    id: OAK_SIGN
    slot: 22
    name:
      '1': <delay:20>&f&lStatistics
      '2': <delay:40>&e&lS&f&lt&e&la&f&lt&e&li&f&ls&e&lt&f&li&e&lc&f&ls
      '3': <delay:20>&b&lS&f&lt&b&la&f&lt&b&li&f&ls&b&lt&f&li&b&lc&f&ls
      '4': <delay:40>&a&lS&f&lt&a&la&f&lt&a&li&f&ls&a&lt&f&li&a&lc&f&ls
      '5': <delay:20>&d&lS&f&lt&d&la&f&lt&d&li&f&ls&d&lt&f&li&d&lc&f&ls
      '6': <delay:40>&e&lS&f&lt&e&la&f&lt&e&li&f&ls&e&lt&f&li&e&lc&f&ls
    lore:
      '1':
      - '<delay:60>&cMob Kills: %mob_kills%'
      - '&cPlayer Kills: %player_kills%'
      '2':
      - '<delay:60>&cDeaths: %player_deaths%'
      - '&cYour Location: %player_location%'
      '3':
      - '<delay:60>&cHealth: %player_health%'
      - '&cFood Level: %player_food%'
    itemflags: animate, inventory-modify, self-drops, death-drops
    triggers: join, respawn, world-switch
    enabled-worlds: world, world_nether, world_the_end
  bungeecord-item:
    id: PURPLE_STAINED_GLASS
    slot: 24
    name: '&eSurvival Server'
    lore:
    - '&7Click to go to the survival server!'
    interact:
    - 'server: survival'
    - 'message: &eSending you to the survival server!'
    inventory:
    - 'server: survival'
    - 'message: &eSending you to the survival server!'
    commands-sound: BLOCK_NOTE_BLOCK_PLING
    commands-cost: 10
    commands-cooldown: 2
    enchantment: FIRE_ASPECT:3
    itemflags: inventory-modify, hide-flags, death-drops, self-drops
    triggers: join, respawn, world-switch
    permission-node: itemjoin.bungee
    enabled-worlds: ALL
  potion-arrow:
    id: TIPPED_ARROW
    potion-effect: WITHER:1:20
    slot: 27
    count: 16
    name: '&fDeath Arrow'
    itemflags: death-drops, self-drops
    limit-modes: SURVIVAL, ADVENTURE
    triggers: join, respawn, world-switch
    enabled-worlds: world, world_nether, world_the_end
  firework-item:
    id: FIREWORK_ROCKET
    slot: 29
    name: '&dSparkles'
    lore:
    - '&7Right-Click me and watch me fly!'
    firework:
      type: CREEPER
      flicker: true
      trail: true
      power: 1
      colors: GRAY, WHITE, PURPLE, LIGHT_GRAY, GREEN
    use-cooldown: 3
    itemflags: count-lock, death-drops, hide-flags, self-drops
    triggers: join, respawn, world-switch
    enabled-worlds: world, world_nether, world_the_end
  potion-item:
    id: POTION
    slot: 31
    name: '&c&nDraught of Madness'
    potion-effect: JUMP:2:120, INCREASE_DAMAGE:3:150, REGENERATION:1:160
    triggers: join, respawn, world-switch
    enabled-worlds: world, world_nether, world_the_end
  potion-apple:
    id: GOLDEN_APPLE
    slot: 33
    name: '&dAn Apple'
    lore:
    - '&7This is not any ordinary apple.'
    potion-effect: JUMP:2:120, NIGHT_VISION:2:400, GLOWING:1:410, REGENERATION:1:160
    itemflags: death-drops, self-drops
    triggers: join, respawn, world-switch
    enabled-worlds: world, world_nether, world_the_end
  skull-item:
    id: PLAYER_HEAD
    slot: 35
    name: '&fCyclone'
    skull-texture:
      '1': <delay:100>eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMGZlMzFlYWE4YThhZDhkZDhkN2FiOTZhODQyMzI5MDUzOWQzODdkODJkNDI2ODcwMWVjNjlkNDFhMWZjIn19fQ==
      '2': <delay:100>eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvOTYxZGZkZGE3MTAyMmJmYWQ3OWVhYmJmYTU2YTE1MTE2NDdiMjAyYWQxMTM2ZmY5N2UzMWEwNmRiYWMxMGVjYiJ9fX0=
      '3': <delay:100>eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvZGFmNjJkNjJkMGE5MzZmMDdmZGZjMWM2MDcyMTY4NzVjOTkzZTViZWViY2U5NTNlOWM4NzI0YTI1ZmNiYTBiYyJ9fX0=
    lore:
    - '&7This is a custom textured skull.'
    - '&7'
    - '&7You can create your own skull texture'
    - '&7and apply it to a skull item!'
    itemflags: inventory-modify, animate, death-drops, self-drops
    triggers: join, respawn, world-switch
    enabled-worlds: world, world_nether, world_the_end
  random-pane-1:
    id: YELLOW_STAINED_GLASS_PANE
    slot: 28, 30, 32, 34, 18, 19, 21, 23, 25, 26
    name: '&f'
    probability: 50
    itemflags: inventory-modify, placement, death-drops, self-drops
    triggers: join, world-switch
    enabled-worlds: world, world_nether, world_the_end
  random-pane-2:
    id: BLUE_STAINED_GLASS_PANE
    slot: 28, 30, 32, 34, 18, 19, 21, 23, 25, 26
    name: '&f'
    probability: 80
    itemflags: inventory-modify, placement, death-drops, self-drops
    triggers: join, world-switch
    enabled-worlds: world, world_nether, world_the_end
  random-pane-3:
    id: PINK_STAINED_GLASS_PANE
    slot: 28, 30, 32, 34, 18, 19, 21, 23, 25, 26
    name: '&f'
    probability: 10
    itemflags: inventory-modify, placement, death-drops, self-drops
    triggers: join, world-switch
    enabled-worlds: world, world_nether, world_the_end
  helmet-item:
    id: DIAMOND_HELMET
    slot: helmet
    name: '&aSolace'
    enchantment: PROTECTION_ENVIRONMENTAL:5
    itemflags: inventory-modify, death-drops, self-drops, hide-attributes
    triggers: join
    enabled-worlds: world, world_nether, world_the_end
  chestplate-item:
    id: IRON_CHESTPLATE
    slot: chestplate
    name: '&aProtection Shell'
    enchantment: PROTECTION_ENVIRONMENTAL:5
    itemflags: inventory-modify, death-drops, self-drops
    triggers: join
    enabled-worlds: world, world_nether, world_the_end
  leggings-item:
    id: IRON_LEGGINGS
    slot: leggings
    name: '&aChains of Desire'
    enchantment: PROTECTION_ENVIRONMENTAL:3
    itemflags: inventory-modify, death-drops, self-drops, hide-attributes
    triggers: join
    enabled-worlds: world, world_nether, world_the_end
  boots-item:
    id: IRON_BOOTS
    slot: boots
    name: '&aSafety Slippers'
    enchantment: PROTECTION_ENVIRONMENTAL:3, PROTECTION_FALL:5
    itemflags: inventory-modify, death-drops, self-drops
    triggers: join
    enabled-worlds: world, world_nether, world_the_end
  offhand-item:
    id: SHIELD
    slot: offhand
    name: '&b&nThe Protector'
    itemflags: inventory-modify, death-drops, self-drops, unbreakable
    triggers: join
    enabled-worlds: world, world_nether, world_the_end
  drop-item:
    id: IRON_SWORD
    slot: ARBITRARY
    name: '&cStolen Sword'
    lore:
    - '&7Pulled from the ashes of chaos.'
    mobs-drop:
    - ZOMBIE:0.001
    - PIG:0.3
    blocks-drop:
    - DIAMOND_ORE:0.5
    - GOLD_ORE:0.19
    triggers: DISABLED
    enabled-worlds: world, world_the_end
  recipe-item:
    id: BEDROCK
    slot: ARBITRARY
    name: '&6Essence'
    lore:
    - '&7Shhhh don''t tell anyone...'
    recipe:
    - XGX
    - IDI
    - XGX
    ingredients:
    - G:GOLD_INGOT
    - I:IRON_INGOT:#3
    - D:DIAMOND
    triggers: DISABLED
